﻿Imports System.Collections.ObjectModel

Namespace ViewModel
    Public Class ConsumerListViewModel
        Inherits ViewModelBase


        Public Sub New()
            'Beispieldaten erstellen
            Dim TestDevices As New List(Of Model.Device) From {
                New Model.Device() With {.ID = 1, .DeviceName = "Handy"}, New Model.Device() With {.ID = 2, .DeviceName = "Laptop"},
                New Model.Device() With {.ID = 3, .DeviceName = "PC"}, New Model.Device() With {.ID = 4, .DeviceName = "Tablet"}}
            Dim TestRooms As New List(Of Model.Room) From {
                New Model.Room() With {.ID = 1, .Roomname = "Ballsaal", .FloorNumber = 3}, New Model.Room() With {.ID = 2, .Roomname = "Besprechungsraum", .FloorNumber = 5},
                New Model.Room() With {.ID = 3, .Roomname = "Kantine", .FloorNumber = 1}, New Model.Room() With {.ID = 4, .Roomname = "Chefbüro", .FloorNumber = 7}}
            Dim TestConsumer As New List(Of Model.Consumer) From {
                New Model.Consumer() With {.ID = 1, .DeviceId = 1, .RoomId = 2},
                New Model.Consumer() With {.ID = 2, .DeviceId = 3, .RoomId = 1},
                New Model.Consumer() With {.ID = 3, .DeviceId = 3, .RoomId = 4},
                New Model.Consumer() With {.ID = 4, .DeviceId = 2, .RoomId = 3},
                New Model.Consumer() With {.ID = 5, .DeviceId = 4, .RoomId = 2}}

            AllConsumers = New ObservableCollection(Of ConsumerViewModel)
            TestConsumer.ForEach(Sub(x) AllConsumers.Add(New ConsumerViewModel(x, (TestDevices, TestRooms), 4)))
        End Sub


        Private _allConsumers As ObservableCollection(Of ConsumerViewModel)
        Public Property AllConsumers As ObservableCollection(Of ConsumerViewModel)
            Get
                Return _allConsumers
            End Get
            Set(ByVal Value As ObservableCollection(Of ConsumerViewModel))
                _allConsumers = Value
                RaisePropertyChanged()
            End Set
        End Property

        Private _selectetConsumer As ConsumerViewModel
        Public Property SelectedConsumer As ConsumerViewModel
            Get
                Return _selectetConsumer
            End Get
            Set(value As ConsumerViewModel)
                _selectetConsumer = value
                RaisePropertyChanged()
            End Set
        End Property

    End Class
End Namespace
